## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# tests are enabled by default
%bcond_without tests

%global         srcname     google-cloud-source-context
%global         forgeurl    https://github.com/googleapis/python-source-context
Version:        1.2.3
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Python Client for Google Cloud Source Context

License:        ASL 2.0
URL:            %forgeurl
Source0:        %forgesource

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
This package contains generated Python types for google.cloud.source_context_v1.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup -p1


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google


%if %{with tests}
%check
# Work around an unusual pytest/PEP 420 issue where pytest can't import the
# installed module. Thanks to mhroncok for the help!
mv google{,_}
%pytest --disable-warnings tests/unit
mv google{_,}
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.md CODE_OF_CONDUCT.md CONTRIBUTING.rst README.rst SECURITY.md
%{python3_sitelib}/google_cloud_source_context-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Thu May 19 2022 Major Hayden <major@mhtx.net> 1.2.3-1
- 🚀 Update to 1.2.3

* Fri Apr 08 2022 Major Hayden <major@mhtx.net> 1.2.2-3
- Fix %%doc line

* Fri Apr 08 2022 Major Hayden <major@mhtx.net> 1.2.2-2
- Add extra docs files

* Fri Apr 08 2022 Major Hayden <major@mhtx.net> 1.2.2-1
- Initial import (#2068106)
